package com.tuoheng.admin.enums;

/**
 * @Author ChengWang
 * @Date 2022/12/21
 */
public enum StructureEnum {

    QUERY_IS_FAILED(1220500, "获取数据失败"),
    USER_IS_NOT_EXIST(1220501, "用户不存在"),
    USER_ID_IS_NULL(1220502, "用户id为空"),
    TENANT_ID_IS_NULL(1220503, "租户id为空"),
    DEPT_IS_NOT_EXIST(1220504, "部门不存在"),
    SECTION_ID_IS_NULL(1220505, "路段id为空"),
    SECTION_LIST_IS_NULL(1220506, "路段列表为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    StructureEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
